#!/bin/sh
PATH=/bin:/usr/bin:/usr/sbin:/fabos/bin:/fabos/link_bin:

ssavecomm="/fabos/cliexec/ssave_util.sh"

# RBAC checking
#if [ $# -eq 0 ]; then
	# Check RBAC permission on command`
#	/fabos/libexec/rbac_check `/bin/basename $0`
#else
	# Check RBAC permission on identified options
#	/fabos/libexec/rbac_check `/bin/basename $0` $1
#fi

#if [ $? -ne 0 ]; then
#	exit 127
#fi

#
#include ssave utility
#
if [ -e "$ssavecomm" ]
then
    . $ssavecomm
else
    echo "Error -- could not locate $ssavecomm"
    exit 3
fi

# *******************************************
# Collect  RAS Confd CLI info
# *******************************************
start_confd_ras()
{
    $CONFDCMD show cli
    $CONFDCMD show logging raslog
    $CONFDCMD show support
    $CONFDCMD show version
    $CONFDCMD show firmwaredownloadstatus
    $CONFDCMD show process cpu
    $CONFDCMD show process memory
    $CONFDCMD show process info
    $CONFDCMD show running-config logging syslog ipaddress
    $CONFDCMD show running-config switch-attribute
    $CONFDCMD show running-config
}

  for param in $@
  do
    if [ $outf_enable -eq 1 ]
    then
      OUTFILE=$param
      exec &> $OUTFILE
      outf_enable=0
    fi
    
    if [ "$param" = "--of" ]
    then
      outf_enable=1	 
    fi

    if [ $upload_enable -eq 1 ]
    then
      UPLOAD=$param
      upload_enable=0
    fi
  done

 for param in $@
  do
    if [ "$param" = "--confd_ras" ]
    then
      if [ $DCM != "" ]; then
         $EXEC_GROUP start_confd_ras
      else
        /bin/echo "None DCM Platform" 
      fi
    fi
    echo  " " > $TTY
    exit $retval
  done

